%define	name	cairo-clock
%define	version	0.3.4
%define	release	%mkrel 3
%define	Summary	Cairo-rendered on-screen clock

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
URL:		http://macslow.mine.nu/projects/cairo-clock/ 
Source0:	http://macslow.thepimp.net/projects/cairo-clock/%{name}-%{version}.tar.gz
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel >= 2.2.0 pango-devel >= 1.2.0 fontconfig-devel
BuildRequires:	libtool autoconf automake >= 1.9.6 librsvg-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	desktop-file-utils

%description
Cairo-Clock is a desktop clock using cairo for rendering and taking advantage
of the Composite extension on newer Xorg servers.

%prep
%setup -q

%build
export LIBS="-lXext -lX11"
%configure2_5x
%make

%install
rm -rf %{buildroot}

%{makeinstall_std}

%find_lang %{name}

desktop-file-install	--vendor="" \
			--remove-category="Application" \
			--add-category="Clock" \
			--add-category="GTK" \
			--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

install -m644 %{SOURCE11} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_liconsdir}/%{name}.png

#clock doesn't display at even resolutions
perl -pi -e 's|Exec=cairo-clock|Exec=cairo-clock -w 127 -g 127||g' %buildroot/%{_datadir}/applications/cairo-clock.desktop

cat > README.urpmi << EOF

Cairo-clock requires the composite extension and a compositing manager
(compiz, beryl, xcompmgr, or properly enabled metacity) to function.

Please use Drak3D to enable these features.
EOF

%clean
rm -rf %{buildroot}

%post 
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%{update_menus}
%endif

%postun
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS BUGS NEWS README TODO README.urpmi
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_mandir}/man1/%{name}.1*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/%{name}/*


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.3.4-3mdv2009.0
+ Revision: 243421
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 28 2008 Colin Guthrie <cguthrie@mandriva.org> 0.3.4-1mdv2008.1
+ Revision: 176082
- New version 0.3.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Aug 29 2007 Funda Wang <fundawang@mandriva.org> 0.3.3-2mdv2008.0
+ Revision: 73447
- fix menu category -> Only Utility/Clock now

* Mon Aug 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.3.3-1mdv2008.0
+ Revision: 67650
- Release 0.3.3

* Thu May 03 2007 Austin Acton <austin@mandriva.org> 0.3.2-5mdv2008.0
+ Revision: 20818
- buildrequires desktop-file-utils
- do not require xcompmgr
- improve installation instrcutions
- set default size to something that works
- buildrequires libglade


* Fri Aug 25 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.3.2-4mdv2007.0
- fix summary macro used in menu item
- cleanups

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.3.2-3mdv2007.0
- Rebuild with latest dbus
- xdg menu

* Sat May 27 2006 Sebastien Savarin <plouf@mandriva.org.org> 0.3.2-2mdv2007.0
- Add requires on xcompmgr (misc)

* Wed May 17 2006 Sebastien Savarin <plouf@mandriva.org.org> 0.3.2-1mdv2007.0
-First Mandriva Linux release

